Obter um projeto
curl --request GET \
--url https://api.olie.ai/api/management/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"parent_id": null,
"old_id": null,
"code": "TS-4",
"name": "Aprovar layout final",
"description": "Aprovação do layout antes do envio à gráfica.",
"impact": 8,
"frame_id": "019def40-4c60-726c-b30f-1ecf669b009a",
"created_at": "2026-05-09T22:28:57.000000Z",
"updated_at": "2026-05-09T22:28:59.000000Z",
"customer_id": null,
"contact_id": null,
"share_token": null,
"share_settings": null,
"merged_id": null,
"status": 1,
"budget": 1500,
"is_template": false,
"created_by": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"deleted_at": null,
"children_count": 0,
"form": null,
"executors": [
{
"id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"user": "Test User",
"hourly_rate": 50,
"elapsed": 0,
"elapsed_amount": 0,
"expected": 28800,
"expected_amount": 400
}
],
"customer": null,
"contact": null,
"funnels": [
{
"id": 35,
"name": "Aprovação de Criativos",
"prefix": "TS",
"order": 2,
"condition": "active",
"allow_multi_step": false,
"show_cost_info": true,
"business_area_id": null,
"form_id": null,
"frame_id": "019def40-4c60-726c-b30f-1ecf669b009a",
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-09T22:10:27.000000Z",
"deleted_at": null,
"funnel_config_template_id": null,
"allow_execution": true,
"project_term": null,
"pivot": {
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"project_funnel_id": 35,
"id": 301,
"statuses_at": null,
"statuses_by": null,
"funnel_status_id": null,
"forecast_date": null,
"realized_forecast_date": null,
"created_at": "2026-05-09T22:28:57.000000Z",
"forecast_date_update_count": 0
},
"steps": [
{
"id": 131,
"name": "Briefing",
"project_funnel_id": 35,
"sensation_amount": 0,
"step_forward_id": null,
"step_backward_id": null,
"order": 1,
"help_text": null,
"form_id": null,
"sort_config": null,
"allow_execution": true,
"show_customer_form": false,
"show_contact_form": false,
"hide_customer_form_when_linked": false,
"hide_contact_form_when_linked": false,
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-09T22:10:27.000000Z",
"deleted_at": null,
"checklists": [],
"attachments": [],
"form": null
},
{
"id": 133,
"name": "Revisão",
"project_funnel_id": 35,
"sensation_amount": 0,
"step_forward_id": null,
"step_backward_id": null,
"order": 2,
"help_text": null,
"form_id": null,
"sort_config": null,
"allow_execution": true,
"show_customer_form": false,
"show_contact_form": false,
"hide_customer_form_when_linked": false,
"hide_contact_form_when_linked": false,
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-11T17:29:32.000000Z",
"deleted_at": null,
"checklists": [],
"attachments": [],
"form": null
}
],
"form": null,
"tags": [
{
"id": 1,
"name": "Urgente",
"color": "#ff8d92",
"project_funnel_id": 35,
"deleted_at": null
}
],
"funnel_status": [
{
"id": 1,
"name": "Concluído",
"color": "#7fd87d",
"project_funnel_id": 35,
"is_conclusive": true,
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-09T22:10:27.000000Z",
"deleted_at": null
},
{
"id": 2,
"name": "Em andamento",
"color": "#ffe66a",
"project_funnel_id": 35,
"is_conclusive": false,
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-09T22:10:27.000000Z",
"deleted_at": null
}
],
"attachments": []
}
],
"project_checklists": [
{
"id": "019e27a9-2b1b-7095-955a-3b0cc8bdabeb",
"name": "Limpar o estoque",
"completed_at": null,
"author_id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"checked_by_id": null,
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"created_at": "2026-05-14T18:04:18.000000Z",
"updated_at": "2026-05-14T19:04:43.000000Z",
"order": 0
},
{
"id": "019e27ab-5064-71f9-aed4-78e0728a42d0",
"name": "Fazer deploy",
"completed_at": "2026-05-14T19:00:00.000000Z",
"author_id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"checked_by_id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"created_at": "2026-05-14T18:06:39.000000Z",
"updated_at": "2026-05-14T19:04:43.000000Z",
"order": 1
}
],
"funnel_steps": [
{
"id": 131,
"name": "Briefing",
"project_funnel_id": 35,
"sensation_amount": 0,
"step_forward_id": null,
"step_backward_id": null,
"order": 1,
"help_text": null,
"form_id": null,
"sort_config": null,
"allow_execution": true,
"show_customer_form": false,
"show_contact_form": false,
"hide_customer_form_when_linked": false,
"hide_contact_form_when_linked": false,
"created_at": "2026-05-09T22:10:27.000000Z",
"updated_at": "2026-05-09T22:10:27.000000Z",
"deleted_at": null,
"pivot": {
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"funnel_step_id": 131,
"id": 351,
"order": 0,
"created_at": "2026-05-09T22:28:59.000000Z"
},
"funnel_step_blockings": []
}
],
"step_form": [],
"checklists": [],
"tags": [
{
"id": 1,
"name": "Urgente",
"color": "#ff8d92",
"project_funnel_id": 35,
"deleted_at": null,
"pivot": {
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"funnel_tag_id": 1,
"id": 1
}
}
],
"merged_project": null,
"loose_forms": [],
"forum": null,
"groups": [],
"users": [
{
"id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"name": "Test User",
"avatar_url": "https://api.dicebear.com/9.x/avataaars/svg?seed=olie-tester&size=80",
"pivot": {
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"user_id": "019def40-491f-70cd-9d0a-91b43fa4f10e",
"role": "creator",
"created_at": "2026-05-09T22:28:57.000000Z",
"updated_at": "2026-05-09T22:28:57.000000Z"
}
}
],
"children": [],
"parent": null,
"frame": {
"id": "019def40-4c60-726c-b30f-1ecf669b009a",
"old_id": null,
"name": "OlieDev Company",
"type": "2",
"read_only_until": null,
"status": 1,
"subdomain": "devframe",
"frame_billing_data_id": "019df979-ee1d-71a9-8d84-08ad22537c8f",
"model_forms": null,
"logo_img": null,
"cockpit_access": 0
}
}
}{
"response": false,
"message": "unauthorized",
"error": "Unauthenticated."
}{
"response": false,
"message": "permission_required",
"error": "User does not have the right permissions.",
"permission": "projects.view.019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf"
}{
"response": false,
"message": "project_model_not_found",
"error": "No query results for model [App\\Models\\Project] 00000000-0000-0000-0000-000000000000"
}projects
Obter um projeto
Retorna os detalhes completos de um projeto pelo seu ID. O retorno inclui dados do próprio projeto, cliente e contato associados, funis em que o projeto está cadastrado (com todas as etapas, etiquetas, status e anexos), etapas atuais ocupadas, checklists avulsos, formulários respondidos do objeto projeto, grupos de projeto, usuários do projeto (criador e atribuídos), hierarquia (pai e filhos), executores envolvidos, etc.
GET
/
api
/
management
/
projects
/
{id}
Obter um projeto
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do projeto
Query Parameters
Quando true, busca o registro entre projetos do tipo template. Padrão: false.
Was this page helpful?
⌘I